Skip to main content
`Ctrl`+`K`

# PetscLogClassIdGetName

Returns a `PetscClassId`’s name.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogClassIdGetName(PetscClassId classid, const char **name)

Not Collective

## Input Parameter

- classid - A `PetscClassId`

## Output Parameter

- name - The class name

## See Also

Profiling, `PetscLogClassRegister()`, `PetscLogClassBegin()`, `PetscLogClassEnd()`, `PetscPreLoadBegin()`, `PetscPreLoadEnd()`, `PetscPreLoadClass()`

## Level

intermediate

## Location

src/sys/logging/plog.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages